Page MenuHomePhabricator

All fundraising configuration should be deployed from either puppet templates or a private git repo
Closed, ResolvedPublic2 Story Points

Description

Especially paymentswiki. We could really benefit from the source control audit log, and it's a noble goal to bring our stuff into line with WMF best practices.

JGreen has already put most of our config under puppet, I believe that paymentswiki was an exception to this because of concerns about ease and speed of deployment. Getting the techs into puppet will be a win on both of those fronts, IMO.

Knobs we need exposed:

  • All paymentswiki config. This can be dumped in the same PHP format it's in, for now. In the future, we might opt for declarative data structures.
    • Paymentswiki maintenance mode
    • Disabling single gateways
  • Listener shutoff for each gateway
  • Jenkins and cronjob shutoffs (future)

Event Timeline

awight created this task.Aug 25 2015, 6:03 PM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2015, 6:03 PM

@awight is this blocking for PCI?

@atgo: Nope! This is so devs can deploy configuration in a sane way, and we get version control auditability and stuff.

K4-713 added a subscriber: K4-713.Sep 10 2015, 10:57 PM

Will a single person still be able to do things like quickly disable components on the payments cluster in case a third party goes down or starts emitting garbage? If not, I might take some convincing, even though I love the idea of having this in version control.

DStrine set Security to None.Sep 15 2015, 5:10 PM
DStrine edited a custom field.
awight updated the task description. (Show Details)Sep 16 2015, 4:36 PM
Danny_B moved this task from Unsorted to Move on the Technical-Debt board.Jan 23 2016, 12:17 AM
Jgreen removed a subtask: Restricted Task.Jun 3 2016, 5:11 PM
Jgreen changed the task status from Open to Stalled.Jun 3 2016, 5:14 PM
Jgreen lowered the priority of this task from Normal to Low.
Jgreen added a subtask: Restricted Task.
awight closed this task as Resolved.Jun 3 2016, 5:34 PM
awight claimed this task.

The part I still care about was covered by localsettings.git work. I'll update the task title and close the bug, unless you disagree.

awight renamed this task from Move all fundraising component config into Puppet to All fundraising configuration should be deployed from either puppet or git..Jun 3 2016, 5:35 PM
awight renamed this task from All fundraising configuration should be deployed from either puppet or git. to All fundraising configuration should be deployed from either puppet templates or a private git repo.
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM